% Define filter order
n = 20;
% Define filter coefficients
b = fir1(n, 0.5);
% Define time interval
t_start = 0;
t_end = 1;
% Define sampling frequency (samples per second)
fs =100;
% Generate time vector with uniform spacing
t = linspace(t_start, t_end, fs);
% Generate input signal
x = sin(2*pi*100*t);
% Filter the input signal
y = filter(b, 1, x);
% Plot the input and output signals
plot(t, x, t, y);
xlim([0 2])
ylim([0 2])
xlabel('Time');
ylabel('Amplitude');
legend('Input signal', 'Output signal');