% Read the image
image = imread('vehicle_image.png');
% Convert the image to grayscale
grayImage = rgb2gray(image);
% Use edge detection to find potential boundaries
edgesImage = edge(grayImage, 'Sobel');
% Perform morphological operations to enhance the edges
se = strel('rectangle', [5,5]);
dilatedImage = imdilate(edgesImage, se);
% Find connected components in the image
stats = regionprops(dilatedImage, 'BoundingBox');
% Display the original image
imshow(image);
hold on;
% Iterate through the bounding boxes and filter based on aspect ratio
for i = 1:numel(stats)
aspectRatio = stats(i).BoundingBox(3) / stats(i).BoundingBox(4);
if aspectRatio > 2 && aspectRatio < 5
rectangle('Position', stats(i).BoundingBox, 'EdgeColor', 'r', 'LineWidth', 2);
end
end
hold off;