% Assuming you have a matrix representing the adjacency matrix of your sensor network
% If not, you may need to construct the adjacency matrix based on your network structure

% Example adjacency matrix (replace this with your actual adjacency matrix)
adjacency_matrix = [
    0 1 1 0;
    1 0 1 1;
    1 1 0 1;
    0 1 1 0
];

% Create a graph object from the adjacency matrix
sensor_graph = graph(adjacency_matrix);

% Plot the sensor network
figure;
plot(sensor_graph, 'NodeLabel', 1:4, 'Layout', 'force');
title('Sensor Network');

% Analyze network properties
degree_centrality = centrality(sensor_graph, 'degree');
closeness_centrality = centrality(sensor_graph, 'closeness');
betweenness_centrality = centrality(sensor_graph, 'betweenness');
% Display centrality measures
disp('Degree Centrality:');
disp(degree_centrality);
disp('Closeness Centrality:');
disp(closeness_centrality);
disp('Betweenness Centrality:');
disp(betweenness_centrality);
