% Symbolic Variables
syms x y;

% Define a Symbolic Expression
expr = x^3 + 3*x^2*y +3*x*y^2+ y^3;

% Simplify the Expression
simplified_expr = simplify(expr);

% Expand the Expression
expanded_expr = expand(expr);

% Factorize the Expression
factored_expr = factor(expr);

% Substitution
substituted_expr = subs(expr, [x, y], [3, 4]);

% Differentiation
derivative_expr_x = diff(expr, x);

% Integration
integral_expr = int(expr, x);

% Display the Results
disp('Original Expression:');
disp(expr);

disp('Simplified Expression:');
disp(simplified_expr);

disp('Expanded Expression:');
disp(expanded_expr);

disp('Factored Expression:');
disp(factored_expr);

disp('Substituted Expression (x=3, y=4):');
disp(substituted_expr);

disp('Derivative with respect to x:');
disp(derivative_expr_x);

disp('Integral with respect to x:');
disp(integral_expr);
