% Define a symbolic variable
syms x;
% Define a function to differentiate
f = x^3 + 2*x^2 - 4*x + 1;
% Differentiate the function with respect to x
derivative_result = diff(f, x);
% Display the original function and the result of differentiation
disp('Original Function:');
disp(f);
disp('Derivative Result:');
disp(derivative_result);
% Plot the function and its derivative
figure;
% Plot the original function
subplot(2, 1, 1);
fplot(f, [-2, 2]);
title('Original Function');
% Plot the derivative
subplot(2, 1, 2);
fplot(derivative_result, [-2, 2]);
title('Derivative of the Function');
% Add labels and legend
xlabel('x');
ylabel('y');
legend('Original Function', 'Derivative Result');