Img = imread('cat.jpg'); % Replace your_image.jpg with the actual image file name

% Convert the image to grayscale
grayImg = rgb2gray(Img);

% Perform edge detection using the Canny method
edgeImg = edge(grayImg, 'Canny');

% Use morphological operations to enhance the edges
Se = strel('disk', 5); % Adjust the disk size based on your image
dilatedEdgeImg = imdilate(edgeImg, Se);

% Find connected components in the binary image
CC = bwconncomp(dilatedEdgeImg);

% Measure the properties of connected components
Stats = regionprops(CC, 'Area', 'Centroid', 'MajorAxisLength', 'MinorAxisLength');

% Find the object with the largest area (assuming its the main object)
[~, idx] = max([Stats.Area]);

% Extract the major axis length as the diameter
Diameter = Stats(idx).MajorAxisLength;

% Display the result
imshow(Img);
hold on;
viscircles(Stats(idx).Centroid, Diameter/2, 'EdgeColor', 'r');
hold off;

% Print the measured diameter
fprintf('The measured diameter is %.2f pixels.\n', Diameter);
