Fs = 1000;                %Sampling frequency
Fc = 50;                  %Carrier frequency
t = 0:1/Fs:1;             %Time vector
signal_freq = 10;        %Frequency of the signal

signal = sin(2 * pi * signal_freq * t);

carrier = cos(2 * pi * Fc * t);
modulated_signal = signal .* carrier;

SNR_dB = 10;             % Signal-to-Noise Ratio in dB
noise_power = 10^(-SNR_dB/10);
noisy_signal = modulated_signal + sqrt(noise_power) * randn(size(modulated_signal));


received_signal = noisy_signal .* carrier;
filtered_signal = lowpass(received_signal, Fc, Fs);

figure;
subplot(4, 1, 1);
plot(t, signal);
title('Original Signal');
xlabel('Time');
ylabel('Amplitude');

subplot(4, 1, 2);
plot(t, modulated_signal);
title('Modulated Signal');
xlabel('Time');
ylabel('Amplitude');

subplot(4, 1, 3);
plot(t, noisy_signal);
title('Received Signal (with Noise)');
xlabel('Time');
ylabel('Amplitude');

subplot(4, 1, 4);
plot(t, filtered_signal);
title('Filtered Signal (Demodulated)');
xlabel('Time');
ylabel('Amplitude');
